#
# spec file for package winetricks
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           winetricks
Version:        20201206
Release:        bp153.1.11
Summary:        A way to work around problems in WINE
License:        LGPL-2.1-or-later
Group:          System/Emulators/PC
URL:            https://github.com/Winetricks/winetricks
Source0:        https://github.com/Winetricks/%{name}/archive/%{version}.tar.gz##/%{name}-%{version}.tar.gz
BuildRequires:  update-desktop-files
Requires:       cabextract
Requires:       unzip
Requires:       wine
Recommends:     zenity

%description
Winetricks is a way to work around problems in Wine.

It has a menu of supported games/apps for which it can do all the
workarounds automatically. It also allows the installation of missing
DLLs and tweaking of various WINE settings.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install

%suse_update_desktop_file -G Winetricks -r %{name} System Emulator

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/icons/hicolor
%{_datadir}/icons/hicolor/scalable
%{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1%{?ext_man}

%changelog
* Mon Jan 18 2021 Oliver Kurz <okurz@suse.com>
- Add zenity installation recommendation for UI support
* Mon Dec  7 2020 Marcus Meissner <meissner@suse.com>
- updated to 20201206
  - lots of fixes
* Mon Oct 26 2020 Илья Индиго <ilya@ilya.pp.ua>
- Refresh spec-file via spec-cleaner and manual optimizations.
  * Remove obsolete designs.
  * Change from Recommends to Requires for cabextract and unzip.
* Tue Apr 14 2020 Marcus Meissner <meissner@suse.com>
- updated to 20200412
  * shellcheck fixes to script
  * aria2c fixes
  * speechsdk fixes
  * bugfixes
* Wed Dec 25 2019 Marcus Meissner <meissner@suse.com>
- updated to 20191224
  * adjusted to current wine
  * lots of changes and updates
* Fri Sep 13 2019 Marcus Meissner <meissner@suse.com>
- Update to 20190912
  * lots of changes and updates
* Sat Jun 15 2019 Marcus Meissner <meissner@suse.com>
- Update to 20190615
  * lots of adjustments
* Sun Mar 10 2019 Yunhe Guo <i@guoyunhe.me>
- Version 20190310
* Sun Dec 23 2018 linux4humans <zenitur@ya.ru>
- adjusted logic for license/doc handling to cover more distributions
* Tue Dec 11 2018 linux4humans <zenitur@ya.ru>
- Minor changes for making it built on older openSUSE versions
- TODO: can anybody define %%license as %%doc for openSUSE < 13.1 then put
  this %%if at the beggining of the SPEC file? Then delete this %%if from
  the %%files section? Like it advised to do there: https://lists.opensuse.org/
  opensuse-factory/2016-02/msg00196.html
* Wed Dec  5 2018 Jan Engelhardt <jengelh@inai.de>
- Trim bias and redundancies from description.
- Avoid name repetition in summary.
* Tue Dec  4 2018 Yunhe Guo <i@guoyunhe.me>
- Version 20181203
